// Simple (positive) peak tracker
// in native (per-sample) ChucK
// by Perry R. Cook, updated Jan 2014

adc => Gain inp => blackhole;
0.0 => float peak;

Std.ftoi(0.1*second/samp) => int window;

while (1)  {
    for (0 => int i; i < window; i++)  {
	if (inp.last() > peak) // keep track of largest positive number
	    inp.last() => peak;
	    samp => now;
    }
    <<< "Peak this 1/10th second =", peak >>>;
    0.0 => peak;
}

